Bug 314485 - pauses playback sometimes able to continue sometimes crash
Summary: pauses playback sometimes able to continue sometimes crash
Status: RESOLVED DUPLICATE of bug 290706
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.6.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-05 23:32 UTC by Rms-Mit
Modified: 2013-04-04 11:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (26.84 KB, text/plain)
2013-04-04 11:16 UTC, David Streichl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rms-Mit 2013-02-05 23:32:15 UTC
Application: amarok (2.6.0)
KDE Platform Version: 4.9.4
Qt Version: 4.8.3
Operating System: Linux 3.5.0-23-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:

amarok playback stops but pause\play button still shows as if it is playing. sometimes able to play again by double clicking a song in playlist other times it just crashes

ps running 
$ uname -a
Linux MediaCentre 3.5.0-23-generic #35-Ubuntu SMP Thu Jan 24 13:15:40 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f00a97bb780 (LWP 2554))]

Thread 13 (Thread 0x7f0082a73700 (LWP 2560)):
#0  0x00007f00a0ba2bcf in g_mutex_get_impl (mutex=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gthread-posix.c:130
#1  0x00007f00a0ba2e49 in g_mutex_unlock (mutex=mutex@entry=0x7f00700009e0) at /build/buildd/glib2.0-2.34.1/./glib/gthread-posix.c:227
#2  0x00007f00a0b658f2 in g_main_context_check (context=context@entry=0x7f00700009e0, max_priority=2147483647, fds=fds@entry=0x7f0070001c30, n_fds=n_fds@entry=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3201
#3  0x00007f00a0b65d22 in g_main_context_iterate (context=context@entry=0x7f00700009e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3287
#4  0x00007f00a0b65ea4 in g_main_context_iteration (context=0x7f00700009e0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#5  0x00007f00a6aa1c16 in QEventDispatcherGlib::processEvents (this=0x7f0070000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f00a6a722bf in QEventLoop::processEvents (this=this@entry=0x7f0082a72dd0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f00a6a72548 in QEventLoop::exec (this=0x7f0082a72dd0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f00a6973b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f00a6a529af in QInotifyFileSystemWatcherEngine::run (this=0x2431690) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f00a6976aec in QThreadPrivate::start (arg=0x2431690) at thread/qthread_unix.cpp:338
#11 0x00007f00a265be9a in start_thread (arg=0x7f0082a73700) at pthread_create.c:308
#12 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f0077ffe700 (LWP 2561)):
#0  0x00007f00a610b303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f00a0b65d84 in g_main_context_poll (n_fds=1, fds=0x7f00680021c0, timeout=5525, context=0x7f00680009a0, priority=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7f00680009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3285
#3  0x00007f00a0b65ea4 in g_main_context_iteration (context=0x7f00680009a0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#4  0x00007f00a6aa1c16 in QEventDispatcherGlib::processEvents (this=0x7f00680008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f00a6a722bf in QEventLoop::processEvents (this=this@entry=0x7f0077ffde00, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f00a6a72548 in QEventLoop::exec (this=0x7f0077ffde00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f00a6973b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f00a6976aec in QThreadPrivate::start (arg=0x26f0830) at thread/qthread_unix.cpp:338
#9  0x00007f00a265be9a in start_thread (arg=0x7f0077ffe700) at pthread_create.c:308
#10 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f0076d9e700 (LWP 2562)):
#0  0x00007f00a610b303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f00a0b65d84 in g_main_context_poll (n_fds=1, fds=0x7f006c0074f0, timeout=-1, context=0x7f006c0009a0, priority=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7f006c0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3285
#3  0x00007f00a0b65ea4 in g_main_context_iteration (context=0x7f006c0009a0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#4  0x00007f00a6aa1c16 in QEventDispatcherGlib::processEvents (this=0x7f006c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f00a6a722bf in QEventLoop::processEvents (this=this@entry=0x7f0076d9de00, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f00a6a72548 in QEventLoop::exec (this=0x7f0076d9de00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f00a6973b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f00a6976aec in QThreadPrivate::start (arg=0x2397b50) at thread/qthread_unix.cpp:338
#9  0x00007f00a265be9a in start_thread (arg=0x7f0076d9e700) at pthread_create.c:308
#10 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f0075991700 (LWP 2564)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00a697704b in wait (time=18446744073709551615, this=0x27695d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2573be0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00a3bcf0e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27694b0, th=0x276aa50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00a3bd192b in ThreadWeaver::WorkingHardState::applyForWork (this=0x276a700, th=0x276aa50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00a3bd1944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x276a700, th=0x276aa50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f00a3bd079f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f0075990e00, parent=0x27694b0, th=th@entry=0x276aa50) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f00a3bd082b in ThreadWeaver::Thread::run (this=0x276aa50) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f00a6976aec in QThreadPrivate::start (arg=0x276aa50) at thread/qthread_unix.cpp:338
#9  0x00007f00a265be9a in start_thread (arg=0x7f0075991700) at pthread_create.c:308
#10 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f0074b77700 (LWP 2565)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00a697704b in wait (time=18446744073709551615, this=0x27695d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2573be0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00a3bcf0e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27694b0, th=0x2376000) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00a3bd192b in ThreadWeaver::WorkingHardState::applyForWork (this=0x276a700, th=0x2376000) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00a3bd1944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x276a700, th=0x2376000) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f00a3bd079f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f0074b76e00, parent=0x27694b0, th=th@entry=0x2376000) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f00a3bd082b in ThreadWeaver::Thread::run (this=0x2376000) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f00a6976aec in QThreadPrivate::start (arg=0x2376000) at thread/qthread_unix.cpp:338
#9  0x00007f00a265be9a in start_thread (arg=0x7f0074b77700) at pthread_create.c:308
#10 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f005ffff700 (LWP 2566)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00a697704b in wait (time=18446744073709551615, this=0x27695d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2573be0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00a3bcf0e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27694b0, th=0x2698b00) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00a3bd192b in ThreadWeaver::WorkingHardState::applyForWork (this=0x276a700, th=0x2698b00) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00a3bd079f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f005fffee00, parent=0x27694b0, th=th@entry=0x2698b00) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f00a3bd082b in ThreadWeaver::Thread::run (this=0x2698b00) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f00a6976aec in QThreadPrivate::start (arg=0x2698b00) at thread/qthread_unix.cpp:338
#8  0x00007f00a265be9a in start_thread (arg=0x7f005ffff700) at pthread_create.c:308
#9  0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f005f7fe700 (LWP 2567)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00a697704b in wait (time=18446744073709551615, this=0x27695d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2573be0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00a3bcf0e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27694b0, th=0x277b2c0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00a3bd192b in ThreadWeaver::WorkingHardState::applyForWork (this=0x276a700, th=0x277b2c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00a3bd1944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x276a700, th=0x277b2c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f00a3bd079f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f005f7fde00, parent=0x27694b0, th=th@entry=0x277b2c0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f00a3bd082b in ThreadWeaver::Thread::run (this=0x277b2c0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f00a6976aec in QThreadPrivate::start (arg=0x277b2c0) at thread/qthread_unix.cpp:338
#9  0x00007f00a265be9a in start_thread (arg=0x7f005f7fe700) at pthread_create.c:308
#10 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f005e968700 (LWP 2568)):
#0  0x00007f00a61098bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f00a0ba215f in read (__nbytes=16, __buf=0x7f005e967be0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:45
#2  g_wakeup_acknowledge (wakeup=0x7f0054001630) at /build/buildd/glib2.0-2.34.1/./glib/gwakeup.c:212
#3  0x00007f00a0b65914 in g_main_context_check (context=context@entry=0x7f00480009a0, max_priority=2147483647, fds=fds@entry=0x7f00480023b0, n_fds=n_fds@entry=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3129
#4  0x00007f00a0b65d22 in g_main_context_iterate (context=context@entry=0x7f00480009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3287
#5  0x00007f00a0b65ea4 in g_main_context_iteration (context=0x7f00480009a0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#6  0x00007f00a6aa1c16 in QEventDispatcherGlib::processEvents (this=0x7f00480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f00a6a722bf in QEventLoop::processEvents (this=this@entry=0x7f005e967dd0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f00a6a72548 in QEventLoop::exec (this=0x7f005e967dd0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f00a6973b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f00a6a529af in QInotifyFileSystemWatcherEngine::run (this=0x2ff4840) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f00a6976aec in QThreadPrivate::start (arg=0x2ff4840) at thread/qthread_unix.cpp:338
#12 0x00007f00a265be9a in start_thread (arg=0x7f005e968700) at pthread_create.c:308
#13 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f005d6ff700 (LWP 2569)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f009d7b7b2d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f009d7b7c39 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f00a265be9a in start_thread (arg=0x7f005d6ff700) at pthread_create.c:308
#4  0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0047fff700 (LWP 2592)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00a2c34cd7 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f00a2c34d09 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f00a265be9a in start_thread (arg=0x7f0047fff700) at pthread_create.c:308
#4  0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f003da56700 (LWP 2626)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007f00a265e09b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007f00a265e01c in __pthread_mutex_lock (mutex=0x231b4c0) at pthread_mutex_lock.c:101
#3  0x00007f00a0ba2e21 in g_mutex_lock (mutex=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gthread-posix.c:208
#4  0x00007f0098a62e3e in gst_element_post_message (element=element@entry=0x231b8e0, message=message@entry=0x7f0020006210) at gstelement.c:1842
#5  0x00007f0098a4e667 in gst_bin_handle_message_func (bin=0x231b8e0, message=0x7f0020006210) at gstbin.c:3442
#6  0x00007f0098a81ff8 in gst_pipeline_handle_message (bin=0x231b8e0, message=0x7f0020006210) at gstpipeline.c:587
#7  0x00007f0082a82349 in gst_play_bin_handle_message (bin=0x231b8e0, msg=0x7f0020006210) at gstplaybin2.c:2387
#8  0x00007f0098a4b418 in bin_bus_handler (bus=bus@entry=0x1f3ebc0, message=message@entry=0x7f0020006210, bin=bin@entry=0x231b8e0) at gstbin.c:2793
#9  0x00007f0098a54ee2 in gst_bus_post (bus=bus@entry=0x1f3ebc0, message=message@entry=0x7f0020006210) at gstbus.c:322
#10 0x00007f0098a62e63 in gst_element_post_message (element=element@entry=0x4616280, message=message@entry=0x7f0020006210) at gstelement.c:1853
#11 0x00007f0098a4e667 in gst_bin_handle_message_func (bin=0x4616280, message=0x7f0020006210) at gstbin.c:3442
#12 0x00007f003e4d1b17 in handle_message (bin=0x4616280, msg=0x7f0020006210) at gsturidecodebin.c:2210
#13 0x00007f0098a4b418 in bin_bus_handler (bus=bus@entry=0x4628820, message=message@entry=0x7f0020006210, bin=bin@entry=0x4616280) at gstbin.c:2793
#14 0x00007f0098a54ee2 in gst_bus_post (bus=bus@entry=0x4628820, message=message@entry=0x7f0020006210) at gstbus.c:322
#15 0x00007f0098a62e63 in gst_element_post_message (element=element@entry=0x46164b0, message=message@entry=0x7f0020006210) at gstelement.c:1853
#16 0x00007f0098a4e667 in gst_bin_handle_message_func (bin=0x46164b0, message=0x7f0020006210) at gstbin.c:3442
#17 0x00007f0098a4b418 in bin_bus_handler (bus=bus@entry=0x46288e0, message=message@entry=0x7f0020006210, bin=bin@entry=0x46164b0) at gstbin.c:2793
#18 0x00007f0098a54ee2 in gst_bus_post (bus=bus@entry=0x46288e0, message=message@entry=0x7f0020006210) at gstbus.c:322
#19 0x00007f0098a62e63 in gst_element_post_message (element=element@entry=0x7f003801b640, message=0x7f0020006210) at gstelement.c:1853
#20 0x00007f0098a6383c in _priv_gst_element_state_changed (element=element@entry=0x7f003801b640, oldstate=oldstate@entry=GST_STATE_NULL, newstate=newstate@entry=GST_STATE_READY, pending=pending@entry=GST_STATE_VOID_PENDING) at gstelement.c:2372
#21 0x00007f0098a642ef in gst_element_continue_state (element=element@entry=0x7f003801b640, ret=ret@entry=GST_STATE_CHANGE_SUCCESS) at gstelement.c:2470
#22 0x00007f0098a63daf in gst_element_change_state (element=element@entry=0x7f003801b640, transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2798
#23 0x00007f0098a64678 in gst_element_set_state_func (element=0x7f003801b640, state=GST_STATE_READY) at gstelement.c:2717
#24 0x00007f003e4cf8af in connect_pad (chain=<optimized out>, factories=0x7f00381d1f60, caps=0x20092c0, pad=0x7f00380abab0, dpad=0x45afcc0, src=0x4634800, dbin=<optimized out>) at gstdecodebin2.c:1921
#25 analyze_new_pad (dbin=dbin@entry=0x46164b0, src=src@entry=0x4634800, pad=pad@entry=0x7f00380abab0, caps=caps@entry=0x20092c0, chain=<optimized out>, chain@entry=0x23322d0) at gstdecodebin2.c:1630
#26 0x00007f003e4d0cb5 in pad_added_cb (element=element@entry=0x4634800, pad=pad@entry=0x7f00380abab0, chain=chain@entry=0x23322d0) at gstdecodebin2.c:2333
#27 0x00007f003e4d107d in caps_notify_cb (pad=0x7f00380abab0, unused=<optimized out>, chain=0x23322d0) at gstdecodebin2.c:2447
#28 0x00007f00a0206140 in g_closure_invoke (closure=0x39ff6b0, return_value=0x0, n_param_values=2, param_values=0x7f003da556b0, invocation_hint=0x7f003da55650) at /build/buildd/glib2.0-2.34.1/./gobject/gclosure.c:777
#29 0x00007f00a0217550 in signal_emit_unlocked_R (node=node@entry=0x1f270d0, detail=detail@entry=209, instance=instance@entry=0x7f00380abab0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7f003da556b0) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3551
#30 0x00007f00a021f4af in g_signal_emit_valist (instance=0x7f00380abab0, signal_id=<optimized out>, detail=209, var_args=var_args@entry=0x7f003da55908) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3300
#31 0x00007f00a021f642 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3356
#32 0x00007f00a020aaf5 in g_object_dispatch_properties_changed (object=0x7f00380abab0, n_pspecs=128, pspecs=0xb) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1041
#33 0x00007f0098a4a324 in gst_object_dispatch_properties_changed (object=0x7f00380abab0, n_pspecs=1, pspecs=0x7f003da55a98) at gstobject.c:530
#34 0x00007f00a020c4f3 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x7f00380abab0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1135
#35 g_object_notify_by_pspec (object=object@entry=0x7f00380abab0, pspec=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1236
#36 0x00007f0098a7a404 in gst_pad_set_caps (pad=0x7f00380abab0, caps=0x20092c0) at gstpad.c:2745
#37 0x00007f003dc6a20c in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstaudioparsers.so
#38 0x00007f0098d1c624 in gst_base_parse_handle_and_push_frame (parse=parse@entry=0x4634800, frame=frame@entry=0x7f003da55d30, klass=0x20ad500) at gstbaseparse.c:1687
#39 0x00007f0098d1f1a5 in gst_base_parse_loop (pad=<optimized out>) at gstbaseparse.c:2826
#40 0x00007f0098aa4e34 in gst_task_func (task=0x462b060) at gsttask.c:327
#41 0x00007f00a0b89e62 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gthreadpool.c:309
#42 0x00007f00a0b89645 in g_thread_proxy (data=0x4622f70) at /build/buildd/glib2.0-2.34.1/./glib/gthread.c:797
#43 0x00007f00a265be9a in start_thread (arg=0x7f003da56700) at pthread_create.c:308
#44 0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#45 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f003cd98700 (LWP 2628)):
#0  0x00007f00a610b303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f009e3d1b6f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f009e3c30b5 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f009e3c3719 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f009e3c37d0 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f009e3d1b1f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f0099aa3543 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-2.1.so
#7  0x00007f00a265be9a in start_thread (arg=0x7f003cd98700) at pthread_create.c:308
#8  0x00007f00a6116cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f00a97bb780 (LWP 2554)):
[KCrash Handler]
#6  g_value_set_object (value=0x7fff92a69e20, v_object=0xffffffff) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:3578
#7  0x00007f0082a87218 in gst_play_bin_get_property (object=0x231b8e0, prop_id=<optimized out>, value=0x7fff92a69e20, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f00a020dace in object_get_property (value=0x7fff92a69e20, pspec=<optimized out>, object=0x231b8e0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1294
#9  g_object_get_valist (object=object@entry=0x231b8e0, first_property_name=first_property_name@entry=0x7f008d6e2ac7 "source", var_args=var_args@entry=0x7fff92a69ec8) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:2019
#10 0x00007f00a020df57 in g_object_get (_object=0x231b8e0, first_property_name=0x7f008d6e2ac7 "source") at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:2109
#11 0x00007f008d6d3435 in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=<optimized out>, param=<optimized out>, data=0x2317c40) at ../../gstreamer/pipeline.cpp:828
#12 0x00007f00a0206140 in g_closure_invoke (closure=0x231e8c0, return_value=0x0, n_param_values=2, param_values=0x7fff92a6a280, invocation_hint=0x7fff92a6a220) at /build/buildd/glib2.0-2.34.1/./gobject/gclosure.c:777
#13 0x00007f00a0217550 in signal_emit_unlocked_R (node=node@entry=0x1f270d0, detail=detail@entry=2178, instance=instance@entry=0x231b8e0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff92a6a280) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3551
#14 0x00007f00a021f4af in g_signal_emit_valist (instance=0x231b8e0, signal_id=<optimized out>, detail=2178, var_args=var_args@entry=0x7fff92a6a4d8) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3300
#15 0x00007f00a021f642 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3356
#16 0x00007f00a020aaf5 in g_object_dispatch_properties_changed (object=0x231b8e0, n_pspecs=2, pspecs=0x0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1041
#17 0x00007f0098a4a324 in gst_object_dispatch_properties_changed (object=0x231b8e0, n_pspecs=1, pspecs=0x7fff92a6a668) at gstobject.c:530
#18 0x00007f00a020c3db in g_object_notify_by_spec_internal (pspec=0x1f21320, object=0x231b8e0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1135
#19 g_object_notify (object=object@entry=0x231b8e0, property_name=property_name@entry=0x7f0082aaabcb "source") at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1177
#20 0x00007f0082a837af in notify_source_cb (uridecodebin=<optimized out>, pspec=<optimized out>, group=<optimized out>) at gstplaybin2.c:3445
#21 0x00007f00a0206140 in g_closure_invoke (closure=0x7f003801ac20, return_value=0x0, n_param_values=2, param_values=0x7fff92a6a880, invocation_hint=0x7fff92a6a820) at /build/buildd/glib2.0-2.34.1/./gobject/gclosure.c:777
#22 0x00007f00a0217550 in signal_emit_unlocked_R (node=node@entry=0x1f270d0, detail=detail@entry=2178, instance=instance@entry=0x4616910, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff92a6a880) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3551
#23 0x00007f00a021f4af in g_signal_emit_valist (instance=0x4616910, signal_id=<optimized out>, detail=2178, var_args=var_args@entry=0x7fff92a6aad8) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3300
#24 0x00007f00a021f642 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3356
#25 0x00007f00a020aaf5 in g_object_dispatch_properties_changed (object=0x4616910, n_pspecs=2, pspecs=0x0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1041
#26 0x00007f0098a4a324 in gst_object_dispatch_properties_changed (object=0x4616910, n_pspecs=1, pspecs=0x7fff92a6ac68) at gstobject.c:530
#27 0x00007f00a020c3db in g_object_notify_by_spec_internal (pspec=0x231ad40, object=0x4616910) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1135
#28 g_object_notify (object=object@entry=0x4616910, property_name=property_name@entry=0x7f003e4d9a09 "source") at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1177
#29 0x00007f003e4d5763 in setup_source (decoder=0x4616910) at gsturidecodebin.c:2015
#30 gst_uri_decode_bin_change_state (element=0x4616910, transition=<optimized out>) at gsturidecodebin.c:2493
#31 0x00007f0098a63d2c in gst_element_change_state (element=element@entry=0x4616910, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#32 0x00007f0098a64678 in gst_element_set_state_func (element=0x4616910, state=GST_STATE_PAUSED) at gstelement.c:2717
#33 0x00007f0098a51857 in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=0, base_time=0, element=0x4616910, bin=0x231b8e0) at gstbin.c:2209
#34 gst_bin_change_state_func (element=0x231b8e0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#35 0x00007f0098a82595 in gst_pipeline_change_state (element=0x231b8e0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
#36 0x00007f0082a857a1 in gst_play_bin_change_state (element=0x231b8e0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
#37 0x00007f0098a63d2c in gst_element_change_state (element=element@entry=0x231b8e0, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#38 0x00007f0098a64678 in gst_element_set_state_func (element=0x231b8e0, state=GST_STATE_PLAYING) at gstelement.c:2717
#39 0x00007f008d6d2d76 in Phonon::Gstreamer::Pipeline::setState (this=0x2317c40, state=GST_STATE_PLAYING) at ../../gstreamer/pipeline.cpp:242
#40 0x00007f008d6cb4e2 in Phonon::Gstreamer::MediaObject::requestState (this=this@entry=0x2315090, state=state@entry=Phonon::PlayingState) at ../../gstreamer/mediaobject.cpp:839
#41 0x00007f008d6cb7b4 in Phonon::Gstreamer::MediaObject::play (this=0x2315090) at ../../gstreamer/mediaobject.cpp:239
#42 0x00007f00a87c62b7 in EngineController::playUrl (this=this@entry=0x1ebca80, url=..., offset=offset@entry=0) at ../../src/EngineController.cpp:505
#43 0x00007f00a87c7c25 in EngineController::play (this=0x1ebca80, track=..., offset=0) at ../../src/EngineController.cpp:395
#44 0x00007f00a847e9b9 in Playlist::Actions::play (this=this@entry=0x26a9d30, trackid=<optimized out>, now=now@entry=true) at ../../src/playlist/PlaylistActions.cpp:224
#45 0x00007f00a847f55f in Playlist::Actions::play (this=0x26a9d30, index=...) at ../../src/playlist/PlaylistActions.cpp:202
#46 0x00007f00a8516dc1 in Playlist::PrettyListView::trackActivated (this=0x420a890, idx=...) at ../../src/playlist/view/listview/PrettyListView.cpp:323
#47 0x00007f00a851d0e2 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at ./PrettyListView.moc:130
#48 Playlist::PrettyListView::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./PrettyListView.moc:99
#49 0x00007f00a6a88f5f in QMetaObject::activate (sender=0x420a890, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff92a6b950) at kernel/qobject.cpp:3547
#50 0x00007f00a79603e5 in QAbstractItemView::doubleClicked (this=this@entry=0x420a890, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:355
#51 0x00007f00a7960545 in QAbstractItemView::mouseDoubleClickEvent (this=0x420a890, event=0x7fff92a6c560) at itemviews/qabstractitemview.cpp:1846
#52 0x00007f00a74a486a in QWidget::event (this=0x420a890, event=0x7fff92a6c560) at kernel/qwidget.cpp:8375
#53 0x00007f00a7853b66 in QFrame::event (this=0x420a890, e=0x7fff92a6c560) at widgets/qframe.cpp:557
#54 0x00007f00a795f59b in QAbstractItemView::viewportEvent (this=0x420a890, event=0x7fff92a6c560) at itemviews/qabstractitemview.cpp:1644
#55 0x00007f00a6a736d6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x4209bb0, event=0x7fff92a6c560) at kernel/qcoreapplication.cpp:1025
#56 0x00007f00a7454e6c in QApplicationPrivate::notify_helper (this=this@entry=0x1d57f10, receiver=receiver@entry=0x4209bb0, e=e@entry=0x7fff92a6c560) at kernel/qapplication.cpp:4558
#57 0x00007f00a7459b6b in QApplication::notify (this=<optimized out>, receiver=0x4209bb0, e=0x7fff92a6c560) at kernel/qapplication.cpp:4105
#58 0x00007f00a91c31d6 in KApplication::notify (this=0x7fff92a6f3f0, receiver=0x4209bb0, event=0x7fff92a6c560) at ../../kdeui/kernel/kapplication.cpp:311
#59 0x00007f00a6a7356e in QCoreApplication::notifyInternal (this=0x7fff92a6f3f0, receiver=0x4209bb0, event=0x7fff92a6c560) at kernel/qcoreapplication.cpp:915
#60 0x00007f00a7455cd3 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#61 QApplicationPrivate::sendMouseEvent (receiver=0x4209bb0, event=0x7fff92a6c560, alienWidget=0x4209bb0, nativeWidget=0x33fe200, buttonDown=0x7f00a7f31308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#62 0x00007f00a74d3554 in QETWidget::translateMouseEvent (this=this@entry=0x33fe200, event=event@entry=0x7fff92a6cce0) at kernel/qapplication_x11.cpp:4622
#63 0x00007f00a74d244f in QApplication::x11ProcessEvent (this=0x7fff92a6f3f0, event=0x7fff92a6cce0) at kernel/qapplication_x11.cpp:3737
#64 0x00007f00a74f9fa2 in x11EventSourceDispatch (s=s@entry=0x1d5ab30, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#65 0x00007f00a0b65ab5 in g_main_dispatch (context=0x1d58770) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:2715
#66 g_main_context_dispatch (context=context@entry=0x1d58770) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3219
#67 0x00007f00a0b65de8 in g_main_context_iterate (context=context@entry=0x1d58770, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3290
#68 0x00007f00a0b65ea4 in g_main_context_iteration (context=0x1d58770, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#69 0x00007f00a6aa1bf6 in QEventDispatcherGlib::processEvents (this=0x1be3ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#70 0x00007f00a74f9c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#71 0x00007f00a6a722bf in QEventLoop::processEvents (this=this@entry=0x7fff92a6d0b0, flags=...) at kernel/qeventloop.cpp:149
#72 0x00007f00a6a72548 in QEventLoop::exec (this=0x7fff92a6d0b0, flags=...) at kernel/qeventloop.cpp:204
#73 0x00007f00a6a77708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#74 0x0000000000408dea in main (argc=1, argv=0x7fff92a6f558) at ../../src/main.cpp:306

This bug may be a duplicate of or related to bug 290706.

Possible duplicates by query: bug 313338, bug 311632, bug 310895, bug 310292, bug 310047.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2013-02-06 00:28:04 UTC
The problem is in gstreamer, as a workaround, use the Phonon-backend-vlc

*** This bug has been marked as a duplicate of bug 290706 ***
Comment 2 David Streichl 2013-04-04 11:16:28 UTC
Created attachment 78626 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:
Nothing, just working with Firefox, songs were being played from my iPOD Classic 80Gb. Amarok in background.
- Unusual behavior I noticed:
Song just paused, Amarok looked like it is still playing the song, but the time counter was paused too. When I double clicked on another song, it crashed. SOmetimes it continues. This issue started to occur let's say immediately after update to Amarok 2.7.0. - never happened before that. After disabling song metadata (for syncing my iPOD with last.fm, etc.) in Settings, crashes are not so occurrent, but still.

-- Backtrace (Reduced):
#6  g_value_set_object (value=0x7fffa61dc1e0, v_object=0x2) at gobject.c:3411
#7  0x00007f078af34268 in gst_play_bin_get_property (object=0x1c444b0 [GstPlayBin2], prop_id=<optimized out>, value=0x7fffa61dc1e0, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00000038a1e16fee in object_get_property (value=0x7fffa61dc1e0, pspec=<optimized out>, object=0x1c444b0 [GstPlayBin2]) at gobject.c:1289
#9  g_object_get_valist (object=object@entry=0x1c444b0 [GstPlayBin2], first_property_name=first_property_name@entry=0x7f0790ae0893 "source", var_args=var_args@entry=0x7fffa61dc288) at gobject.c:2014
#10 0x00000038a1e17477 in g_object_get (_object=0x1c444b0, first_property_name=0x7f0790ae0893 "source") at gobject.c:2104